package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microformats.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.location.EntityLocation;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 17.09.12
 * Time: 23:35
 */
public class DatetimeFormatException extends MFException {
    public DatetimeFormatException(final String name) {
        super(name);
    }

    public DatetimeFormatException(final String name, final EntityLocation location) {
        super(name,location);
    }

    @Override
    public String getKey() {
        return "incorrect_date_format";
    }

    public DatetimeFormatException(final String name, final boolean critical) {
        super(name, critical);
    }
}
